package com.foreverwin.mesnac.meapi.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author Philip
 * @since 2021-6-23
 */

@TableName("SFC_BOM")

public class SfcBom extends Model<SfcBom> {

    private static final long serialVersionUID = 1L;

   @TableId(value = "HANDLE", type = IdType.INPUT)
   private String handle;
   @TableField("CHANGE_STAMP")
   private Long changeStamp;
   @TableField("SFC_BO")
   private String sfcBo;
   @TableField("BOM_BO")
   private String bomBo;
   @TableField("PREV_SITE")
   private String prevSite;
   @TableField("ORIGINAL_TRANSFER_KEY")
   private String originalTransferKey;
   @TableField("MODIFIED_DATE_TIME")
   private LocalDateTime modifiedDateTime;
   @TableField("CREATED_DATE_TIME")
   private LocalDateTime createdDateTime;
   @TableField("PARTITION_DATE")
   private LocalDateTime partitionDate;


   public String getHandle() {
      return handle;
   }

   public void setHandle(String handle) {
      this.handle = handle;
   }

   public Long getChangeStamp() {
      return changeStamp;
   }

   public void setChangeStamp(Long changeStamp) {
      this.changeStamp = changeStamp;
   }

   public String getSfcBo() {
      return sfcBo;
   }

   public void setSfcBo(String sfcBo) {
      this.sfcBo = sfcBo;
   }

   public String getBomBo() {
      return bomBo;
   }

   public void setBomBo(String bomBo) {
      this.bomBo = bomBo;
   }

   public String getPrevSite() {
      return prevSite;
   }

   public void setPrevSite(String prevSite) {
      this.prevSite = prevSite;
   }

   public String getOriginalTransferKey() {
      return originalTransferKey;
   }

   public void setOriginalTransferKey(String originalTransferKey) {
      this.originalTransferKey = originalTransferKey;
   }

   public LocalDateTime getModifiedDateTime() {
      return modifiedDateTime;
   }

   public void setModifiedDateTime(LocalDateTime modifiedDateTime) {
      this.modifiedDateTime = modifiedDateTime;
   }

   public LocalDateTime getCreatedDateTime() {
      return createdDateTime;
   }

   public void setCreatedDateTime(LocalDateTime createdDateTime) {
      this.createdDateTime = createdDateTime;
   }

   public LocalDateTime getPartitionDate() {
      return partitionDate;
   }

   public void setPartitionDate(LocalDateTime partitionDate) {
      this.partitionDate = partitionDate;
   }

public static final String HANDLE = "HANDLE";

public static final String CHANGE_STAMP = "CHANGE_STAMP";

public static final String SFC_BO = "SFC_BO";

public static final String BOM_BO = "BOM_BO";

public static final String PREV_SITE = "PREV_SITE";

public static final String ORIGINAL_TRANSFER_KEY = "ORIGINAL_TRANSFER_KEY";

public static final String MODIFIED_DATE_TIME = "MODIFIED_DATE_TIME";

public static final String CREATED_DATE_TIME = "CREATED_DATE_TIME";

public static final String PARTITION_DATE = "PARTITION_DATE";


   @Override
   protected Serializable pkVal() {
      return this.handle;
   }

   @Override
   public String toString() {
      return "SfcBom{" +
         "handle = " + handle +
         ", changeStamp = " + changeStamp +
         ", sfcBo = " + sfcBo +
         ", bomBo = " + bomBo +
         ", prevSite = " + prevSite +
         ", originalTransferKey = " + originalTransferKey +
         ", modifiedDateTime = " + modifiedDateTime +
         ", createdDateTime = " + createdDateTime +
         ", partitionDate = " + partitionDate +
         "}";
   }
}